Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(20)

Issue 2795113002: Move ownership of TextCheckerClientImpl to WebLocalFrameImpl (Closed)

Created:
7 months, 2 weeks ago by Xiaocheng
Modified:
7 months, 2 weeks ago
Reviewers:
haraken, tkent
CC:
blink-reviews, blink-reviews-frames_chromium.org, chromium-reviews, groby+blinkspell_chromium.org, kinuko+watch, timvolodine
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Move ownership of TextCheckerClientImpl to WebLocalFrameImpl This is Patch 4 of 5 for making SpellCheckProvider a RenderFrameObserver, so that spellcheck can work in OOPIF. Full design: https://goo.gl/VfCENk This patch changes TextCheckerClientImpl from view-based to frame-based, as a preparation for changing SpellCheckProvider from view-based to frame-based. BUG=638361 Review-Url: https://codereview.chromium.org/2795113002 Cr-Commit-Position: refs/heads/master@{#461945} Committed: https://chromium.googlesource.com/chromium/src/+/12aaa612b318e359ab3d6664c3fbbbb3ea14f034

Patch Set 1 #

Patch Set 2 : Mon Apr 3 18:57:07 PDT 2017 #

Total comments: 7

Patch Set 3 : Adopt comments #

Patch Set 4 : Rebased #

Patch Set 5 : Rebased #

Unified diffs Side-by-side diffs Delta from patch set Stats (+70 lines, -54 lines) Patch
M third_party/WebKit/Source/core/editing/spellcheck/SpellCheckTestBase.h View 1 chunk +0 lines, -7 lines 0 comments Download
M third_party/WebKit/Source/core/editing/spellcheck/SpellChecker.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/frame/LocalFrameClient.h View 1 2 2 chunks +3 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/loader/EmptyClients.h View 1 2 2 chunks +5 lines, -8 lines 0 comments Download
M third_party/WebKit/Source/core/loader/EmptyClients.cpp View 1 2 1 chunk +5 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/page/SpellCheckerClient.h View 1 2 3 2 chunks +0 lines, -5 lines 0 comments Download
M third_party/WebKit/Source/platform/text/TextCheckerClient.h View 1 2 3 1 chunk +0 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/web/LocalFrameClientImpl.h View 1 2 1 chunk +2 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/web/LocalFrameClientImpl.cpp View 1 2 1 chunk +4 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/web/SpellCheckerClientImpl.h View 1 2 3 3 chunks +1 line, -5 lines 0 comments Download
M third_party/WebKit/Source/web/SpellCheckerClientImpl.cpp View 1 chunk +2 lines, -6 lines 0 comments Download
M third_party/WebKit/Source/web/TextCheckerClientImpl.h View 1 2 3 2 chunks +14 lines, -6 lines 0 comments Download
M third_party/WebKit/Source/web/TextCheckerClientImpl.cpp View 1 2 3 chunks +18 lines, -10 lines 0 comments Download
M third_party/WebKit/Source/web/WebLocalFrameImpl.h View 3 chunks +7 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/web/WebLocalFrameImpl.cpp View 4 chunks +7 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/web/WebViewImpl.h View 1 2 chunks +0 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/web/WebViewImpl.cpp View 1 1 chunk +1 line, -2 lines 0 comments Download

Messages

Total messages: 27 (14 generated)
Xiaocheng
Kent-san: Could you help me with a question in this WIP patch? I'm trying to ...
7 months, 2 weeks ago (2017-04-04 02:03:22 UTC) #4
haraken
Would you elaborate on the background of this CL? Why do you want to move ...
7 months, 2 weeks ago (2017-04-04 02:21:24 UTC) #5
Xiaocheng
On 2017/04/04 at 02:21:24, haraken wrote: > Would you elaborate on the background of this ...
7 months, 2 weeks ago (2017-04-04 02:49:52 UTC) #7
tkent
On 2017/04/04 at 02:03:22, xiaochengh wrote: > I'm trying to add a new member to ...
7 months, 2 weeks ago (2017-04-04 03:43:33 UTC) #8
haraken
Thanks, makes sense. LGTM. I'm just curious: Once we make TextCheckerClient frame-based, what's preventing us ...
7 months, 2 weeks ago (2017-04-04 05:19:22 UTC) #10
Xiaocheng
Thanks for the review! On 2017/04/04 at 05:19:22, haraken wrote: > Thanks, makes sense. LGTM. ...
7 months, 2 weeks ago (2017-04-04 19:28:40 UTC) #11
Xiaocheng
https://codereview.chromium.org/2795113002/diff/20001/third_party/WebKit/Source/web/TextCheckerClientImpl.cpp File third_party/WebKit/Source/web/TextCheckerClientImpl.cpp (right): https://codereview.chromium.org/2795113002/diff/20001/third_party/WebKit/Source/web/TextCheckerClientImpl.cpp#newcode22 third_party/WebKit/Source/web/TextCheckerClientImpl.cpp:22: return m_webLocalFrame->viewImpl()->textCheckClient(); On 2017/04/04 at 05:19:22, haraken wrote: > ...
7 months, 2 weeks ago (2017-04-04 19:28:56 UTC) #12
Xiaocheng
Now this patch is ready for landing. PTAL.
7 months, 2 weeks ago (2017-04-04 22:43:34 UTC) #14
tkent
lgtm Core classes can use WebTextCheckClient directly if we move public/web/WebTextCheckClient.h to public/platform/.
7 months, 2 weeks ago (2017-04-04 23:37:48 UTC) #17
Xiaocheng
On 2017/04/04 at 23:37:48, tkent wrote: > lgtm > > Core classes can use WebTextCheckClient ...
7 months, 2 weeks ago (2017-04-04 23:45:37 UTC) #18
haraken
On 2017/04/04 23:45:37, Xiaocheng wrote: > On 2017/04/04 at 23:37:48, tkent wrote: > > lgtm ...
7 months, 2 weeks ago (2017-04-05 00:15:26 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2795113002/80001
7 months, 2 weeks ago (2017-04-05 02:26:03 UTC) #24
commit-bot: I haz the power
7 months, 2 weeks ago (2017-04-05 02:31:54 UTC) #27
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/12aaa612b318e359ab3d6664c3fb...

Powered by Google App Engine
This is Rietveld efc10ee0f